# Interface State

插件状态

interface State {
config?: unknown;
enabled: boolean;
visible: boolean;
}

#### Hierarchy (View Summary)

- BasePlugin.State
  - State

- Defined in lib/plugins/CSS2DPlugin/typing.ts:29

##### Index

### Properties

config?
enabled
visible

## Properties

### `Optional` config

config?: unknown

插件的配置项

Inherited from State.config

- Defined in lib/plugins/BasePlugin/index.ts:22

### enabled

enabled: boolean

插件是否启用

Overrides State.enabled

- Defined in lib/plugins/CSS2DPlugin/typing.ts:31

### visible

visible: boolean

插件整体是否可见

Overrides State.visible

- Defined in lib/plugins/CSS2DPlugin/typing.ts:33